Groovy 1.7.0

## org.codehaus.groovy.antlr
Interface SourceInfo

    interface SourceInfo

Method Summary
`int` | `getColumn()` get starting column
`int` | `getColumnLast()` get ending column
`int` | `getLine()` get start line
`int` | `getLineLast()` get ending line
`void` | `setColumn(int c)` set start column
`void` | `setColumnLast(int colLast)` set ending column
`void` | `setLine(int l)` set start line
`void` | `setLineLast(int lineLast)` set ending line

Method Detail

### getColumn

    public int getColumn()

  get starting column
  return:
    the starting column

### getColumnLast

    public int getColumnLast()

  get ending column
  return:
    the ending column

### getLine

    public int getLine()

  get start line
  return:
    the starting line

### getLineLast

    public int getLineLast()

  get ending line
  return:
    the ending line

### setColumn

    public void setColumn(int c)

  set start column
  param:
    c the column

### setColumnLast

    public void setColumnLast(int colLast)

  set ending column
  param:
    colLast the column

### setLine

    public void setLine(int l)

  set start line
  param:
    l the line

### setLineLast

    public void setLineLast(int lineLast)

  set ending line
  param:
    lineLast the line

Copyright © 2003-2009 The Codehaus. All rights reserved.